"use strict"; function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }// src/cli.ts
var _path = require('path'); var _path2 = _interopRequireDefault(_path);
var _yargs = require('yargs'); var _yargs2 = _interopRequireDefault(_yargs);
var _core = require('@purge-icons/core');
var _fsextra = require('fs-extra'); var _fsextra2 = _interopRequireDefault(_fsextra);
_yargs2.default.scriptName("purge-icons").usage("$0 [args]").command("*", "List dependencies versions usage across packages", (args) => {
  return args.option("output", {
    alias: "o",
    type: "string",
    describe: "path for output file, will output to stdout when this option is not provied"
  }).option("content", {
    alias: "c",
    type: "string",
    array: true,
    required: true,
    describe: "glob for matching source files, sepereted by comma"
  }).option("included", {
    alias: "i",
    type: "string",
    array: true,
    describe: "whitelist for icons to be included"
  }).option("format", {
    alias: "f",
    type: "string",
    describe: "output file format",
    choices: [
      "js",
      "mjs",
      "cjs",
      "ts",
      "json"
    ]
  });
}, async (args) => {
  var _a, _b, _c;
  const format = args.format || ((_c = (_b = (_a = _path2.default.parse(args.output || "")) == null ? void 0 : _a.ext) == null ? void 0 : _b.slice(1)) == null ? void 0 : _c.toLowerCase()) || "mjs";
  const code = await _core.PurgeIcons.call(void 0, {
    content: args.content.flatMap((i) => i.split(",")).map((i) => i.trim()).filter(Boolean),
    format,
    included: args.included
  });
  if (args.output) {
    const filepath = _path2.default.resolve(args.output);
    await _fsextra2.default.ensureDir(_path2.default.dirname(filepath));
    await _fsextra2.default.writeFile(filepath, code, "utf-8");
  } else {
    console.log(code);
  }
}).showHelpOnFail(false).help().argv;
